Subject: [Simple] Re: [Sip] simple-presence-04

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 10 Jan 2002 12:02:36 -0500

Aymeric MOIZARD wrote:

> My question is about the tupple element in
> draft-ietf-simple-presence-04.txt
> (Is it the correct mailing list to use?)

The simple list is the right list. I've changed the recipient line.

> 
> The draft draft-ietf-simple-presence-04.txt shows examples
> of "application/cpim-pidf+xml" body where "name" is an
> attribute of "tuple".
> 
>      <presence xmlns="http://www.ietf.org/ns/cpim-pidf-xml-1.0">
>         <tuple name="ph-1">
>           <status>
>             <value>open</value>
>             <detail type="phone"
>             
> schema="http://www.ietf.org/dtd/im-type-phone.dtd">on-hook</detail>
>           </status>
>           <contact priority="2">sip:[email-masked]</contact>
>         </tuple>
>       </presence>
> 
> I found that definition in draft-ietf-impp-cpim-pidf-01.txt
> where "id" is a mandatory attribute for tuple.
> 
> <!ELEMENT tuple (status,contact?,note?,timestamp?)>
> <!ATTLIST tuple
>              id   %TUPLEID;      #REQUIRED
> 
> 
> The example and defintions does not match!
> Did I choose wrong versions of drafts? Any other
> explanations?

The two docuemtns have been evolving idenpdently, and fall out of sync 
as they evolve. When the pidf spec is stable, we can make sure the 
presence doc formats are all up to date.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com